libnvme(2)

NAME
enum nvme_ns_id_desc_nidt - Known namespace identifier types

SYNOPSIS
enum nvme_ns_id_desc_nidt {
NVME_NIDT_EUI64 ,
NVME_NIDT_NGUID ,
NVME_NIDT_UUID ,
NVME_NIDT_CSI

};

Constants

NVME_NIDT_EUI64
    IEEE Extended Unique Identifier, the NID field contains a copy of the EUI64 field in the struct nvme_id_ns.eui64.

NVME_NIDT_NGUID
    Namespace Globally Unique Identifier, the NID field contains a copy of the NGUID field in struct nvme_id_ns.nguid.

NVME_NIDT_UUID
    The NID field contains a 128-bit Universally Unique Identifier (UUID) as specified in RFC 4122.

NVME_NIDT_CSI
    The NID field contains the command set identifier.